#!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH

#配置插件安装目录
install_path=/www/server/panel/plugin/mfsmbd


#安装
Install()
{
	
	echo '正在安装...'
	#==================================================================
	#依赖安装开始
    
    pip install more-itertools==5.0.0
    pip install six==1.13.0
    pip install lxml
    pip install wsgidav 
    pip install cheroot
    pip install python-pam
    pip install PyWebDAV
    
	#依赖安装结束
	#==================================================================

	echo '================================================'
	echo '安装完成'
}

#卸载
Uninstall()
{
	rm -rf $install_path
}

#操作判断
if [ "${1}" == 'install' ];then
	Install
elif [ "${1}" == 'uninstall' ];then
	Uninstall
else
	echo 'Error!';
fi
